Name:           cppformat
Version:        2.1.1
Release:        1%{?dist}
Summary:        Small, safe and fast formatting library for C++

License:        BSD
URL:            https://github.com/cppformat/cppformat
Source0:        https://github.com/cppformat/cppformat/releases/download/%{version}/%{name}-%{version}.zip

BuildRequires:  cmake

%description
C++ Format is an open-source formatting library for C++. It can be used as a
safe alternative to printf or as a fast alternative to IOStreams.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains the header file for using %{name}.

%package        doc
Summary:        Documentation files for %{name}
License:        Python
BuildArch:      noarch

%description    doc
This package contains documentation for developer documentation for %{name}.

%prep
%setup -q

%build
mkdir build
cd build
cmakeopts="-DFMT_LIB_DIR=%{_lib} -DFMT_CMAKE_DIR=%{_datarootdir}/cmake/%{name}"
# NOTE: Specifying CMAKE_SKIP_RPATH=OFF is so it will link properly on RHEL 6
# See https://bugzilla.redhat.com/show_bug.cgi?id=640672
%if 0%{?rhel}%{?fedora} == 6
cmakeopts="$cmakeopts -DCMAKE_SKIP_RPATH=OFF"
%endif
%cmake $cmakeopts ..
make %{?_smp_mflags} all

%install
cd build
make install DESTDIR=%{buildroot}

%check
cd build
make test

%files
%{_libdir}/libcppformat.so.*
%{!?_licensedir:%global license %%doc}
%license LICENSE.rst

%files devel
%{_includedir}/cppformat/format.h
%{_libdir}/libcppformat.so
%{_datarootdir}/cmake/cppformat/*.cmake
# Don't include the files to support header only
%exclude %{_includedir}/cppformat/posix.h
%exclude %{_includedir}/cppformat/format.cc

%files doc
%doc doc/html/
%license doc/python-license.txt

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Tue Apr 12 2016 Dave Johansen <davejohansen@gmail.com> - 2.1.1-1
- Upstream update

* Fri Feb 05 2016 Dave Johansen <davejohansen@gmail.com> - 2.0.0-3
- Workaround for gtest issue

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 01 2015 Dave Johansen <davejohansen@gmail.com> - 2.0.0-1
- Update to 2.0.0 (#1287332)

* Thu Sep 10 2015 Dave Johansen <davejohansen@gmail.com> - 1.1.0-2
- Fixes for tests on non-x86

* Tue Apr 28 2015 Dave Johansen <davejohansen@gmail.com> - 1.1.0-1
- Initial RPM release
